<!DOCTYPE HTML>
<!--

	| @Pierre
	Portfolio
-->
<html>
	<head>
		<title>Leffe Pierre</title>
		<meta charset="utf-8" />
		<meta name="viewport" content="width=device-width, initial-scale=1, user-scalable=no" />
		<link rel="stylesheet" href="../assets/css/main.css" />

		<link rel="stylesheet" href="economie_cig/style.min.css" />
		<link rel="icon" type="image/png" href="../images/Logo_leffe.png" />

	</head>
	<body class="is-preload">

		<!-- Header -->
			<div id="header">

				<div class="top">

					<!-- Logo -->
						<div id="logo">
							<span class="image avatar48"><img src="../images/leffepierre_pp.png" alt="" /></span>
							<h1 id="title">Leffe Pierre</h1>
							<p>BTS-SIO SLAM</p>
						</div>

					<!-- Nav -->
						<nav id="nav">
							<ul>
								<li><a href="../creation_web.html" id="top-link"><span class="icon fa-arrow-left">Retour</span></a></li>
								<li><a href="#dem"   ><span class="icon fa-question">Demande</span></a></li>
								<li><a href="#prod" ><span class="icon fa-book">Production</span></a></li>

								<li><a href="../recherche.html"  id="dem-link" ><span class="icon fa-search">Rechercher</span></a></li>


							</ul>
						</nav>
				</div>

				<div class="bottom">

					<!-- Social Icons -->
						<ul class="icons">
							<li><a href="#" class="icon fa-twitter"><span class="label">Twitter</span></a></li>
							<li><a href="#" class="icon fa-facebook"><span class="label">Facebook</span></a></li>
							<li><a href="#" class="icon fa-github"><span class="label">Github</span></a></li>
							<li><a href="#" class="icon fa-dribbble"><span class="label">Dribbble</span></a></li>
							<li><a href="#" class="icon fa-envelope"><span class="label">Email</span></a></li>
						</ul>

				</div>

			</div>

		<!-- Main -->
			<div id="main">

	<!-- About Me -->
					<section id="about" class="three">
						<div class="container">

							<header>
								<h2>Générateur réaprovisionnement</h2>
							</header>

							<a href="#" class="image featured"><img src="generateur_reappro/connect_trans.png" alt="" />
							</a>

							<div style="display: flex; margin: auto;">
							<ul style="width: 35%;text-align: left;margin: auto;">
							<li>OS: Élementary OS</li>
							<li>Éditeur : Visual Studio Code</li>
							<li>Date : 23/9/2019 </li>


							</ul><ul style="width: 35%;text-align: left;margin: auto;">

							<li>Framework : GoogleScript</li>
							<li>Language utilisé : JS/HTML</li>
							<li>Compétence acquise : (A4.1.2) - (A5.1.6)	 </li>
							</ul>
							</div>




						</div>
					</section>


					<section id="dem" style=" margin:0;background-color:#dce3e2">

						<h2 style="text-align:center ; padding-top:2%">Contexte</h2>
					<div style="padding:5%;color:rgb(136, 136, 136);    text-align: left;">
						<p style="margin:0"> Il est nécessaire de régulièrement réapprovisionné le stock des différents magasins. Pour cela, il faut connaitre les besoins des magasins (produits en rupture de sotck) . Ils se gèrent via notre erp pour garder des traces des différents mouvements de stock et ainsi facilité sa gestion. Nous venons récemment de passer de l'erp EBP à Connect de BoostMyShop.</p>
					<div class="note"> <b>ERP</b> : Un ERP (Enterprise Resource Planning) est un ensemble d'outils permettant la gestion d'une entreprise (gestion de stock, facture, devis ect..)</div>
					</div>
						<h2 style="text-align:center ; padding-top:2%">Demande</h2>
					<div style="padding:5%;color:rgb(136, 136, 136);    text-align: left;">
						<p style="margin:0">La demande c'est fait oralement. Une réclamation de l'un des gérants de magasin qui déplorait de devoir rentrer chaque produit manuellement. Ma responsable m'a demandé s'il n'était pas possible d'améliorer le système.
  				 					</p>



					 </section>
					 <section id="prod" style=" margin:0;background-color:rgb(236, 241, 241)">
						<h2 style="text-align:center ; padding-top:2%"> Analyse de la situation</h2>
					<div style="padding:5%;color:rgb(136, 136, 136);    text-align: left;">

<div style="
    width: 85% !important;
    margin: auto;
">
	<p> J'ai vu qu'il y avait un moyen d'importé un fichier de type <b>csv</b> pour pré-remplir l'import et ainsi évité de faire le travail manuellement.
	<br/>
	Néanmoins, il n'y avait pas la possibilité d'extraire un fichier correspondant a ces critères (sku - barcode - qty ).
	</br>
		<div class="note">  <b>sku</b> : Référence d'un produit | <b>barcode</b> : Code barre | <b>Qty</b> : Quantité</span>

	</p>
		<p> J'ai donc cherché un moyen d'exporté ces données via Connect. Et c'est dans la section assistant des stocks que j'ai pu trouver ces données.</p>
				    <img class="img-fluid" src="generateur_reappro/asistant.png" alt="" style="width: 100%;display: flex;margin:auto;">
	<p> Néanmoins le fichier exporté ne convenait pas exactement au attente et n'était donc pas utilisable ainsi.</p>
					</div>
				<img class="img-fluid" src="generateur_reappro/feuille entrant.png" alt="" style="width: 100%;display: flex;margin:auto;">

					</section>


					<section id="#about" style=" margin:0;background-color:#dce3e2">
						<h2 style="text-align:center ; padding-top:2% "> Réfléxion du développement </h2>
					<div style="padding:5%;color:rgb(136, 136, 136);    text-align: left;">

						<p> Je me suis donc pencher sur le développement d'un convertisseur de fichier csv. Il fallait que ce soit simplifié au maximum pour que n'importe qui puisse l'utilisé.<br/>

						J'ai donc utilisé les outils gratuit à ma disposition : google forms et google Sheet combiné à google script.
						<p/>
						<p>
										<ul>
				<li><b><u>Google Forms</u></b>: Interface en formulaire à remplir pour obtenir le fichier csv srotant, il faudrat déposer le fichier csv entrant obtenue dans l'assistant de stock. </li>
				<li><b><u>Google Sheet</u></b>: Me servira à gérer les csv sous forme de feuille de calcul.</li>
				<li><b><u>Google Script</u></b>: Faire le lien entre les deux et déclenchera les différents événements.</li>

				</ul>
						 </p>



					</div>
					</section>
								 <section id="#about" style=" margin:0;background-color:rgb(236, 241, 241)">
						<h2 style="text-align:center ; padding-top:2%"> Rendu</h2>

<div style="
    width: 85% !important;
    margin: auto;
">
						<img class="img-fluid" src="generateur_reappro/trans0.png" alt="" style="width: 100%;display: flex;margin:auto;">
<img class="img-fluid" src="generateur_reappro/trans1.png" alt="" style="width: 100%;display: flex;margin:auto;">
<img class="img-fluid" src="generateur_reappro/trans2.png" alt="" style="width: 100%;display: flex;margin:auto;">
<img class="img-fluid" src="generateur_reappro/trans3.png" alt="" style="width: 100%;display: flex;margin:auto;">

<h2> Fichier csv obtenu </h2>
<img class="img-fluid" src="generateur_reappro/feuille sortant.png" alt="" style="width: 100%;display: flex;margin:auto;">

					</div>
					</section>

					<section id="#about" style=" margin:0;background-color:#dce3e2">
						<h2 style="text-align:center ; padding-top:2% "> Mise à jour  </h2>
					<div style="padding:5%;color:rgb(136, 136, 136);    text-align: left;">
					<p> Suite à mon travail, des retours sur mon travail on était mitigé car ce n'était pas encore assez facile à comprendre.<br/>
					Pour celà, j'ai eu recours à enrichir le formulaire d'une documentation pas à pas de la procédure après avoir reçu le fichier.</p>

					</div>
					</section>
			</div>



		<!-- Footer -->
			<div id="footer">

				<!-- Copyright -->
					<ul class="copyright">
						<li>&copy; 	Leffe Pierre - BTS SIOSLAM </li><li>Auto-entrepreneur : <a href="https:leffeweb.com">Leffeweb</a></li>
					</ul>

			</div>

		<!-- Scripts -->
			<script src="../assets/js/jquery.min.js"></script>
			<script src="../assets/js/jquery.scrolly.min.js"></script>
			<script src="../assets/js/jquery.scrollex.min.js"></script>
			<script src="../assets/js/browser.min.js"></script>
			<script src="../assets/js/breakpoints.min.js"></script>
			<script src="../assets/js/util.js"></script>
			<script src="../assets/js/main.js"></script>

			<script src="economie_cig/script.js"></script>

	</body>
</html>
